=== debian/changelog ===
debian-faq (12.2) unstable; urgency=medium

  [ Javier Fernández-Sanguino ]
  * en/debian-faq.dbk: Update publication date and version
  * en/getting-debian.dbk: Document what type of updates stable receives (beyond security fixes) and
    point users to backports. This should help clarify the concept of
    stable-updates (Closes: #1034467)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 01 Oct 2024 00:03:49 +0200

debian-faq (12.1) unstable; urgency=medium

  [ Joost van Baal-Ilić ]
  * 2024-08: en/pkg-basics.dbk: modernize: s/aptitude/apt/;
    s/.diff.gz/.debian.tar.xz/; no user prompting in postinst.
  * Update releases.  Thanks Étienne Mollier for reporting (closes: #1081730).

  [ David Martínez Moreno ]
  * debian/control: Updated Standards-Version (no changes).
  * en/pkg-basics.dbk: Added suggestions from Rachel Neumiller (LP: #1654804,
    LP: #1654805, LP: #1654746).

  [ Javier Fernández-Sanguino ]
  * en/ftparchives.dbk:
        - Add the names of the latest releases.
        - Added information about snapshot.debian.org (Closes: #892893)
  * en/choosing.dbk: 
        - Change title of section, add some more information and reference the
          location of the testing Release Notes as well as the Debian's
          Reference 'Life with eternal upgrades' which provides more insight
          on the section's content (Closes: #566010)
        - Document that Debian does not provide security updates for testing.
          Link to the Security Team's security tracker (Closes: #973569)
        - Rename "Linux Mint Debian edition" to simply "Linux Mint", add Kali
          to the list (it is more popular than Knoppix), add information about
          the number of distributions and link to the Debian
          derivate Census in the Wiki.
  * en/software.dbk: Add information on how to handle non-free firmware
    (Closes: #1030562)
  * en/uptodate.dbk, en/choosing.dbk: Replace ftp.us.debian.org with
    'deb.debian.org' as this will go to the mirror based on a
    content-delivery-network (no need for users to look for the fastest
    mirror).
  * README.release: describe better where the information of debian-faq.ent
    comes from and update some elements which are no longer useful to obtain
    these numbers.
  * debian-faq.ent: Update the number of packages and developers. Add a new
    number to provide the number of contributors (which are not DD)
  * en/basic-defs.dbk: Provide information of the total volunteers and
    introduce the different numbers for developers and contributors
  * en/contributing.dbk: Explain better the different levels of contributors /
    volunteers in the project

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 29 Sep 2024 21:39:32 +0200
