=== debian/control ===
Source: debian-faq
Section: doc
Priority: standard
Maintainer: Javier Fernandez-Sanguino Peña <jfs@debian.org>
Uploaders: Josip Rodin <joy-packages@debian.org>,
           Joost van Baal <joostvb@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: dblatex <!pkg.debian-faq.nopdf>,
                     docbook-xml,
                     docbook-xsl,
                     fonts-freefont-ttf,
                     fonts-sil-charis,
                     libxml2-utils,
                     po4a,
                     texlive-lang-all <!pkg.debian-faq.nopdf>,
                     texlive-xetex <!pkg.debian-faq.nopdf>,
                     w3m,
                     xsltproc
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ddp-team/debian-faq
Vcs-Git: https://salsa.debian.org/ddp-team/debian-faq.git
Homepage: https://www.debian.org/doc/user-manuals#faq

Package: debian-faq
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 This document is available at https://www.debian.org/doc/manuals/debian-faq/
 as well as from the Debian file server at https://deb.debian.org/debian/doc/FAQ
 and mirrors thereof.
 .
 The document is supplied in HTML, PDF, and plain text.
 .
 If you're new to Debian, and like to read documentation from your local system,
 without using the network, install this package.

Package: debian-faq-de
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in German
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in German of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-fr
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in French
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in French of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-it
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Italian
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Italian of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-ja
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Japanese
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Japanese of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-ko
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Korean
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Korean of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-nl
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Dutch
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Dutch of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-pt
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Portuguese
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Portuguese of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-ru
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Russian
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Russian of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-zh-cn
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Simplified Chinese
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Simplified Chinese of the original English FAQ
 (available in the package debian-faq.)
