## debian-faq 13.1

=== debian/changelog ===
debian-faq (13.1) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Update translations.

  [ Harry Van Ness ]
  * Removed references to outdated packages and information.
  * Fix broken link to Debian mirrors.

  [ Andrew Kreimer ]
  * Fix typos via codespell.
  * ftparchives.{dbk,po}: Fix a typo.

  [ Boyuan Yang ]
  * zh-cn/contributing.po: Minor updates.
  * contributing.{dbk,po}: Fix typo.

  [ Fabian B ]
  * Additional German translation for section 1.5.
  * Fix German translation of "dynamic" listitem.

  [ Américo Monteiro ]
  * Updated translation into Portuguese.

  [ Joost van Baal-Ilić ]
  * Bump version to 13.x: targetting upcoming Debian 14 (forky) release.
  * d/control: drop "Rules-Requires-Root: no": default as of dpkg-dev 1.22.13.
  * d/control: Fix my name.
  * en/basic-defs.dbk: The four kfreebsd-* and netbsd-* porting efforts
    are dead, no longer mention them.
  * en/basic-defs.dbk: Neither fsf.org nor gnu.org push Hurd, they mention and
    focus on Linux. Drop obsolete "The FSF's long-standing objective is to
    develop a new operating system called GNU, based on Hurd."
  * debian-faq.ent: current stable is now 13 (trixie), update number of
    supported architectures, update (and round) the number of developers.
  * en/getting-debian.dbk: mention the 'Download' button on our website.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 14 Feb 2026 07:37:01 +0100
