=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: standard
 Maintainer: Javier Fernandez-Sanguino Peña <jfs@debian.org>
 Uploaders: Josip Rodin <joy-packages@debian.org>,
-           Joost van Baal <joostvb@debian.org>
+           Joost van Baal-Ilić <joostvb@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dblatex <!pkg.debian-faq.nopdf>,
                      docbook-xml,
@@ -17,7 +17,6 @@
                      w3m,
                      xsltproc
 Standards-Version: 4.7.0
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ddp-team/debian-faq
 Vcs-Git: https://salsa.debian.org/ddp-team/debian-faq.git
 Homepage: https://www.debian.org/doc/user-manuals#faq
